Bug 598598 - Unhandled exception attempting to resize extended partition in installer
Unhandled exception attempting to resize extended partition in installer
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-01 13:16 EDT by John Pitkethly
Modified: 2011-06-06 12:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-06 12:43:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot just before clicking OK and gettting the unhandled exception (129.54 KB, image/png)
2010-06-01 13:16 EDT, John Pitkethly
no flags Details
anaconda-tb-* log from third occurrence (260.06 KB, application/octet-stream)
2010-06-01 13:20 EDT, John Pitkethly
no flags Details

  None (edit)
Description John Pitkethly 2010-06-01 13:16:07 EDT
Created attachment 418738 [details]
Screenshot just before clicking OK and gettting the unhandled exception

Description of problem:
Whilst trying to increase the size of an extended partition to use some or all of the free space following it, an unhandled exception occurred:

anaconda 13.42 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.6/site-packages/parted/disk.py", line 309, in setPartitionGeometry
    start, end)
  File "/usr/lib64/python2.6/site-packages/parted/decorators.py", line 31, in localeC
    ret = fn(*args, **kwds)
  File "<string>", line 2, in setPartitionGeometry
  File "/usr/lib/anaconda/storage/devices.py", line 1053, in _setTargetSize
    start=geometry.start, end=geometry.end)
  File "/usr/lib/anaconda/storage/devices.py", line 522, in <lambda>
    lambda s, v: s._setTargetSize(v),
  File "/usr/lib/anaconda/storage/deviceaction.py", line 244, in __init__
    self.device.targetSize = newsize
  File "/usr/lib/anaconda/iw/partition_dialog_gui.py", line 344, in run
    actions.append(ActionResizeDevice(request, size))
  File "/usr/lib/anaconda/iw/partition_gui.py", line 1682, in editPartition
    actions = parteditor.run()
  File "/usr/lib/anaconda/iw/partition_gui.py", line 1646, in editCB
    self.editPartition(device)
PartitionException: Unable to satisfy all constraints on the partition.

Version-Release number of selected component (if applicable):
anaconda 13.42

How reproducible:
It has occurred three times: once unexpectedly, and then again at each of two attempts to reproduce it.

Steps to Reproduce:
1. My disk has two primary partitions, an extended partition and some free space.  (Details are in the screenshot.)
2. Boot from Fedora-13-x86_64-Live CD and run Install to Hard Drive.  Select keyboard.  For type of devices to install to, choose Basic Storage Devices.  Select the one drive.  Enter computer name.  Select timezone.  Enter root password.  For type of installation, choose Create Custom Layout.
3. Select sda3, the Extended partition.
4. Click Edit.
5. Select Resize.
6. Enter new size.  The first two times, I entered 230659, chosen to take all the free space.  The third time, I entered 180056, chosen to take half the free space, to see whether the problem is sensitive to the exact size.
7. On the third time through, I took a screenshot at this point. (See attachment.)
8. Click OK.
  
Actual results:
An unhandled exception window appears.

Expected results:
Either the screen updates to show the extended partion with the proposed new size or an error message explaining why this would be invalid appears.

Additional info:
Earlier, I had tried to add a new partition with size 10240 MB in the free space.  It was allocated as primary partition sda4, even though I had not checked the Force to primary box.  Then I tried to allocate another new partition and it was refused: not enough free space on disks.  There was plenty of free space on the disk after sda4, but not in the extended partition.  I reset the partition table and tried to resize the extended partition in hope of creating more logical partitions in it.
Comment 1 John Pitkethly 2010-06-01 13:20:09 EDT
Created attachment 418740 [details]
anaconda-tb-* log from third occurrence
Comment 2 Bug Zapper 2011-06-02 08:28:25 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 John Pitkethly 2011-06-04 13:35:58 EDT
Using Fedora 15, today, I was unable to reproduce this crash.

I followed the "Steps to Reproduce" in the Description above.

At step 1, the only change in my partition table was that the type of sda5 had changed from ext3 to ext4.  All the sizes were the same as they had been at the time I reported the original bug.

At step 2, I booted from Fedora-15-x86_64-Live-Desktop and answered questions as before.  (It worked out that there was only one drive and didn't ask which drive to use.)

At step 3, I selected the extended partition, as before.

At step 4, I found that the "Edit" button was greyed out and inactive.  This prevented the remaining steps being followed and hence prevented the crash - a good outcome (given that I don't need to use the free space right now).

Note You need to log in before you can comment on or make changes to this bug.